<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" encoding="UTF-8"/>
    <xsl:template match="root">
        <html>
            <head>
                <title>
                    <xsl:value-of select="heading/essay_title/title"/>
                </title>
                <link href="essay.css" rel="stylesheet" type="text/css"/>
            </head>
            <body bgcolor="#D5E2CB">
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="author">
        <p class="instruct"> Note: only the black text on the lighter background within the dotted
            outlined areas will be displayed as part of your essay. Elements marked with &quot;?&quot; are optional.</p>
        <p class="content">This is an example.</p>
        
        <p class="instruct"><strong>Your essay begins here:</strong></p>
        <p class="instruct">Your personal information</p>
        <h3 class="content">            
            <xsl:value-of select="first_name"/>
            <span class="invisible">-</span>
            <xsl:value-of select="last_name"/>
        </h3>
    </xsl:template>
    <xsl:template match="essay_title">
        <p class="instruct">The title and subtitle (optional) of your essay</p>
        <h1 class="content">
            <xsl:value-of select="title"/>: <span class="largeText">
                <xsl:value-of select="subtitle"/></span><br />
            <span class="largeText"><xsl:value-of select="date"/></span>           
        </h1>

    </xsl:template>
    <xsl:template match="introduction">
        <p class="instruct"> Introduction: </p>
        <p class="content">
            <span class="boxInst">state thesis</span>
            <xsl:value-of select="thesis/state_thesis"/>&#160; 
            <span class="boxInst">importance of issue</span><xsl:value-of
                select="thesis/outline/importance"/>&#160; 
            <span class="boxInst">the conflict?</span><xsl:value-of
                select="thesis/outline/conflict"/>&#160; 
            <span class="boxInst">solution?</span><xsl:value-of
                select="thesis/outline/solution"/>
        </p>
    </xsl:template>
    <xsl:template match="arguments">
        <xsl:apply-templates select="/root/arguments/argument"/>
    </xsl:template>
    <xsl:template match="argument">
        <table class="box">
            <tr>
                <td>
                    <p class="instruct"> argument # <span class="box">
                            <xsl:value-of select="@id"/>
                        </span>
                    </p>
                    <xsl:apply-templates select="simple-argument"/>
                    <xsl:apply-templates select="counterargument"/>
                    
                </td>
            </tr>
        </table>
    </xsl:template>
    <xsl:template match="simple-argument">
        <p class="instruct">This <strong>simple argument</strong> is based on <span class="box">
                <xsl:value-of select="support/@type"/>
            </span>
        </p>
        <p class="content">
            <span class="boxInst">state argument</span>
            <xsl:value-of select="state_argument"/>&#160;
            <span class="boxInst">support argument (evidence)</span>
            <xsl:value-of select="support"/>&#160;
            <span class="boxInst">relate back to thesis?</span>
            <xsl:value-of select="relate"/>
        </p>
    </xsl:template>
    <xsl:template match="counterargument">
        <p class="instruct"> This <strong>counter-argument</strong> is based on argument <span class="box">
                <xsl:value-of select="state_counterargument/@attack_type"/>
            </span> : </p>
        <p class="content">
            <xsl:value-of select="state_counterargument"/>
        </p>
        <p class="instruct"> This <strong>comeback </strong> <span class="box">
            <xsl:value-of select="come_back/@strategy"/></span> the counter-argument.
        </p>
        <p class="content">
            <xsl:value-of select="come_back"/>
        </p>
    </xsl:template>
    <xsl:template match="conclusion">
        <p class="instruct">Conclude your essay</p>
        <p class="content">
            <span class="boxInst">thesis summary</span><xsl:value-of select="thesis_summary"/>&#160; <span class="boxInst">summarize main arguments</span><xsl:apply-templates
                select="arguments_summaries"/>&#160; </p>
        <p class="content"><span class="boxInst">warn of consequences</span><xsl:value-of select="consequences"
            />&#160; </p>
    </xsl:template>
</xsl:stylesheet>
