<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" encoding="UTF-8"/>
    <xsl:template match="root">
        <html>
            <head>
                <title>
                    <xsl:value-of select="heading/essay_title/title"/>
                </title>
                <link href="essay.css" rel="stylesheet" type="text/css"/>
            </head>
            <body bgcolor="#D5E2CB">
                <div class="content">
                <xsl:apply-templates/>
                </div>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="author">
        <h3>
            <xsl:value-of select="first_name"/>
            <span class="invisible">-</span>
            <xsl:value-of select="last_name"/>
        </h3>
    </xsl:template>
    <xsl:template match="essay_title">
        <h1>
            <xsl:value-of select="title"/>: <span class="largeText">
                <xsl:value-of select="subtitle"/>
            </span><br />
            <span class="largeText"><xsl:value-of select="date"/></span>        
        </h1>
    </xsl:template>
    <xsl:template match="introduction">
        <p>
            <xsl:value-of select="thesis/state_thesis"/>&#160; <xsl:value-of
                select="thesis/outline/importance"/>&#160; <xsl:value-of
                select="thesis/outline/conflict"/>&#160; <xsl:value-of
                select="thesis/outline/solution"/>
        </p>
    </xsl:template>
    <xsl:template match="arguments">
        <xsl:apply-templates select="/root/arguments/argument"/>
    </xsl:template>
    <xsl:template match="argument">
            <xsl:apply-templates select="simple-argument"/>
            <xsl:apply-templates select="counterargument"/>                
    </xsl:template>
    <xsl:template match="simple-argument">
        <p>
            <xsl:value-of select="state_argument"/>
            <xsl:value-of select="support"/>
        </p>
    </xsl:template>
    <xsl:template match="counterargument">
        <p>
            <xsl:value-of select="state_counterargument"/>&#160;<xsl:value-of select="come_back"/>
        </p>
    </xsl:template>
    <xsl:template match="conclusion">
        <p>
            <xsl:value-of select="thesis_summary"/>&#160;<xsl:apply-templates
                select="arguments_summaries"/>&#160;
        </p>
        <p><xsl:value-of select="consequences"
            />&#160; </p>
    </xsl:template>
</xsl:stylesheet>
